<!doctype html>
<html lang="en">
<!--based on template from https://www.sitepoint.com/a-basic-html5-template/ with head and main added
  Other templates to consider:
  https://html5up.net/
  https://github.com/murtaugh/HTML5-Reset
  https://duckduckgo.com/?t=ffab&q=html5+empty+template&ia=web
-->
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Blinking and Marquee | Accessibility Works</title>
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes" />
  <meta name="description" content="A test page containing blinking content and marquee.">
  <meta property="og:title" content="Blinking and Marquee">
  <meta property="og:type" content="website">
  <meta property="og:description" content="A test page containing blinking content and marquee.">
  <!--
  <meta property="og:url" content="https://www.sitepoint.com/a-basic-html5-template/">
  <meta property="og:image" content="image.png">
  <link rel="icon" href="/favicon.ico">
  <link rel="icon" href="/favicon.svg" type="image/svg+xml">
  <link rel="apple-touch-icon" href="/apple-touch-icon.png">
  <link rel="stylesheet" href="css/styles.css?v=1.0">
  -->
  <link rel="stylesheet" type="text/css" media="screen" href="../../css/verdemoderna.css" title="default" />
  <style>
    .blink {
        animation: blink-animation 1s steps(5, start) infinite;
        -webkit-animation: blink-animation 1s steps(5, start) infinite;
      }
      @keyframes blink-animation {
        to {
          visibility: hidden;
        }
      }
      @-webkit-keyframes blink-animation {
        to {
          visibility: hidden;
        }
      }
  </style>
</head>
<body>
  <header id="header" role="banner">
    <h1><span class="h1txt">Blinking and Marquee</span></h1>
  </header>
  <main id="main" role="main">
    <h2>Blinking</h2>
    <h3><code>blink</code> Element</h3>
    <p>An example of the outdated and deprecated <a href="https://developer.mozilla.org/en-US/docs/Web/HTML/Element/blink"><code>blink</code> element</a>:
      <blink>Do not use this element as it is obsolete and is bad design practice!</blink>
    </p>
    <p>Modern browsers no longer support the <code>blink</code> element.</p>

    <h3>Blinking Using <abbr>CSS</abbr></h3>
    <p>Span element with blinking content: <span class="blink">annoying blinking content</span>.</p>
    <p>For the code <abbr>CSS</abbr> code used in the above example, see
      <a href="https://www.w3docs.com/snippets/css/how-to-create-a-blinking-effect-with-css3-animations.html">How to Create a Blinking Effect with CSS3 Animations</a>
      on <i class="website">W3 Docs</i> (26.06.2020).
    </p>

    <h2>Marquee</h2>
    <h3><code>marquee</code> Element</h3>
    <p>An example of the outdated and deprecated <a href="https://developer.mozilla.org/en-US/docs/Web/HTML/Element/marquee"><code>marquee</code> element</a>:
      <marquee bgcolor="yellow" height="24px" width="50%" scrolldelay="600">This feature is no longer recommended. Though some browsers might still support it, it may have already been removed from the relevant web standards, may be in the process of being dropped, or may only be kept for compatibility purposes. Avoid using it, and update existing code if possible.</marquee>
    </p>
    <p>See also <a href="https://www.geeksforgeeks.org/create-the-marquee-text-effect-using-javascript/">Create the marquee text effect using JavaScript</a> (17.03.2021), which relies on JavaScript to manipulate an element's margin.</p>
  </main>
  <!--
  <script src="js/scripts.js"></script>
  -->

  <footer id="footer">
    <p id="licence">
    <a class="image" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">
    <img alt="Creative Commons License Attribution-ShareAlike" style="border-width:0" src="../../img/cc-licence-by-sa-88x31.png" />
    </a>
    <br />
    <span>
    <a href="https://cstrobbe.gitlab.io/A11yWorks/" tabindex="32767">Accessibility Works</a></span>
    by <a href="https://gitlab.com/cstrobbe">Christophe Strobbe</a>
    is licensed under a
    <a lang="en-US" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.
    </p>

    <p><a href="../../sitemap.html">Site map</a>.</p>
    <p>You can <a href="https://gitlab.com/cstrobbe/A11yWorks" tabindex="1">fork the code</a> on GitLab.</p>
  </footer>
</body>
</html>
